Subject: Re: [PATCH v3 2/2] builtin/pack-objects.c: introduce `pack.recentObjectsHook`

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 May 2023 16:21:44 -0700

Jeff King <[email-masked]> writes:

> It does make me wonder why "git prune --expire=never" does not simply
> exit immediately. Isn't there by definition nothing useful to do?

I think the answer to the question is "no", but if I have to guess
why such a low-hanging fruit optimization possibility has not been
exploited so far is because it does not optimize a useful case,
perhaps?  IOW, falling into "if it hurts, then don't do it" category?